<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Show Recipe</title>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"
          th:href="@{/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css}">

    <script src="/webjars/jquery/1.11.1/jquery.min.js"></script>

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
            integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
            crossorigin="anonymous" th:src="@{/webjars/bootstrap/3.3.7-1/js/bootstrap.min.js}"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="sk.seidl.recipe_app.domains.Recipe"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="pannel-group">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-md-3">
                                <h1 class="panel-title" th:text="${recipe.description}">Recipe Description Here!</h1>
                            </div>

                            <div class="col-md-1">
                                <a class="btn btn-default" href="#"
                                   th:href="@{'/recipe/' + ${recipe.id} + '/image'}" role="button">Change Image</a>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-3">
                                <h5>Categories:</h5>
                            </div>
                            <div class="col-md-3">
                                <ul>
                                    <li th:remove="all">cat one</li>
                                    <li th:remove="all">cat two</li>
                                    <li th:each="category : ${recipe.categories}"
                                        th:text="${category.getDescription()}">cat three
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-6">
                                <img src="../../static/images/guacamole400x400WithX.jpg"
                                     th:src="@{'/recipe/' + ${recipe.id} + '/recipeimage'}"
                                     width="200" height="200">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <h5>Prep Time:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${(recipe.prepTime) +  '  Min'}">30 min</p>
                            </div>
                            <div class="col-md-3">
                                <h5>Difficulty:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${recipe.difficulty}">Easy</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <h5>Cooktime:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${(recipe.cookTime  +  '  Min')}">30 min</p>
                            </div>
                            <div class="col-md-3">
                                <h5>Servings:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${recipe.servings}">4</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <h5>Source:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${recipe.source}">30 min</p>
                            </div>
                            <div class="col-md-3">
                                <h5>URL:</h5>
                            </div>
                            <div class="col-md-3">
                                <p><a href="#" th:href="@{recipe.url}">View Original</a></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-md-11 ">
                                <h1 class="panel-title">Ingredients</h1>
                            </div>
                            <div class="col-md-1">
                                <a class="btn btn-default" href="#"
                                   th:href="@{'/recipe/' + ${recipe.id} + '/ingredients'}" role="button">View</a>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <ul>
                                    <li th:remove="all">1 Cup of milk</li>
                                    <li th:remove="all">1 Teaspoon of chocolate</li>
                                    <li th:each="ingredient : ${recipe.ingredients}"
                                        th:text="${(ingredient.getAmount() +
                                        ' ' + ingredient.uom.getDescription() +
                                        ' - ' + ingredient.getDescription())}">1 Teaspoon of Sugar
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h1 class="panel-title">Directions</h1>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <p th:text="${recipe.directions}">Lorem ipsum dolor sit amet, consectetuer adipiscing
                                    elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus
                                    et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies
                                    nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede
                                    justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut,
                                    imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.
                                    Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate
                                    eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac,
                                    enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus
                                    viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam
                                    ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam
                                    rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero,
                                    sit amet adipiscing sem neque sed ipsum.</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h1 class="panel-title">Notes</h1>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <p th:text="${recipe.notes.recipeNotes}">Lorem ipsum dolor sit amet, consectetuer
                                    adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque
                                    penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis,
                                    ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim.
                                    Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo,
                                    rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis
                                    pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean
                                    vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae,
                                    eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus.
                                    Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet.
                                    Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui.
                                    Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper
                                    libero, sit amet adipiscing sem neque sed ipsum.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>